<!DOCTYPE html>

<html xmlns:th="http://www.thymeleaf.org">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="author" content="Gruppe Pitahaya">
	<meta name="description" content="Gruppenarbeit TOSE - Projektportfolio">
	<meta name="keywords" content="TOSE,Pitahaya,Gruppenarbeit,Projektportfolio">
	<link href="/css/pitahaya.css" rel="stylesheet" type="text/css" media="all" />
	<link href="/css/pitahaya-form.css" rel="stylesheet" type="text/css" media="all" />
	<title>Pitahaya PPM Webseite</title>
</head>

<body>
<div id="page" class="container">
	<div id="header">
		<div id="logo">
			<a href="/"><img src="/images/pitahaya.jpg" alt="Pitahaya Bild" height="80" width="80"></a>
			<h5>Pitahaya PPM</h5>
		</div>
		<div id="menu">
			<ul>
				<li><a href="/">Startseite</a></li>
				<li><a href="/sites/kontakt_startseite.html">Kontakt</a></li>
			</ul>
		</div>
	</div>
	<div id="main">
		<div id="welcome">
			<div class="title">
				<h2>Registration</h2><br>
			</div>
		</div>
		<p>Bitte alle notwendigen Felder f&uuml;r die Registration ausf&uuml;llen.</p>
		<hr>
	<!-- Ausgabe Fehlermeldung wenn ein Feld nicht ausgefüllt wurde --> 	
		<div class="errormsg">
			<span th:text="${error}"></span>
		</div> 
	<!-- Eingabemaske zum Erfassen eines neues Users des Portfoliosystems --> 		
		<form action="#" th:action="${postAction}" method="post" th:object="${userDetail}">
			<div class="col-3 field">	
				<input id="name" type="text" name="userDetail.name" placeholder="" th:value="*{name}" required />
				<label for="name">Name</label>
			</div>
			<div class="col-3 field">
				<input id="vorname" type="text" name="userDetail.vorname" placeholder="" th:value="*{vorname}" required />
				<label for="vorname">Vorname</label>
			</div>
			<div class="col-3 field">
				<input id="userDetail.abteilung" type="text" name="userDetail.abteilung" placeholder="" th:value="*{abteilung}" required />
				<label for="userDetail.abteilung">Abteilung</label>
			</div>
			<div class="col-3 field">
				<input id="username" type="text" name="userDetail.username" placeholder="" required />
				<label for="username">Benutzername</label>
			</div>
			<div class="col-3 field">	
				<input id="userDetail.mail" type="text" name="userDetail.mail" placeholder="" th:value="*{mail}" required />
				<label for="userDetail.mail">Mail</label> 
			</div>
			<div class="col-3 field">		
				<input id="userDetail.telefon" type="text" name="userDetail.telefon" placeholder="" th:value="*{telefon}" required />
				<label for="userDetail.telefon">Telefon</label> 
			</div> 	  
			<select name="userDetail.role" style="width: 320px; height: 30px; font-size: 20px;">
				<option value="" selected>Bitte die Rolle auswählen</option>
				<option 
				  th:each="role: ${roleList}"
				  th:value="${role.id}"
				  th:utext="${role.rolename}" />
			</select>
			<p></p>
			<input type="reset" class="button" value="Zurücksetzen"/> &nbsp;&nbsp;&nbsp;&nbsp; <input type="submit" class="button" value="Bestätigen" />
		</form>
		<p> <p> <p>
		<div id="agb">
			<p>Wenn du einen Account auf der PPM-Webseite erstellt, erklärst du dich mit den <a href="/sites/agb.html" target="_blank" style="color:dodgerblue">AGB</a> einverstanden.</p>    
		</div>
	</div>  
</div>
</body>
<footer>
	<div id="copyright2">
		<span>&copy; Pitahaya </span>		
	</div>
</footer>
</html>